Bug 229574 - Anaconda bombs with a SIGSEGV when run with the noipv6 boot option
Summary: Anaconda bombs with a SIGSEGV when run with the noipv6 boot option
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda   
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: David Cantrell
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-21 21:15 UTC by Steve Salevan
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-06 21:04:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steve Salevan 2007-02-21 21:15:42 UTC
Description of problem:
If a user attempts to disable IPv6 via attaching the 'noipv6' boot option,
anaconda tries to claim a dynamic IP without using IPv6.  However, halfway
through doing this, anaconda bombs with the following output:

loader received SIGSEGV!  Backtrace:
[0x8048284]
[0x426420]
[0x818d2f3]
[0x805f2dc]
[0x8066b9b]
[0x8066ccb]
[0x8067167]
[0x80665cd]
[0x805e510]
[0x805e880]
install exited abnormally [1/1]
sending termination signals...done
sending kill signals...done
disabling swap...
unmounting filesystems...
	/proc done
	/dev/pts done
	/sys done
	/tmp/ramfs done
you may safely reboot your system

Version-Release number of selected component (if applicable):
RHEL 5 Gold

How reproducible:
Always (at least when I try it)

Steps to Reproduce:
1. Start a RHEL 5 installation via CD or kickstart and ensure that the 'noipv6'
option is tagged onto the boot line.
2. Wait until Anaconda loads and watch it when it attempts to grab a dynamic IP
  
Actual results:
Anaconda bombs as above

Expected results:
Anaconda locates an IP within a reasonable amount of time and proceeds with the
installation

Additional info:
This error was encountered on a VMware box and the RHEL 5 Gold installation was
initiated via an RHN Satellite-based kickstart.

Comment 1 David Cantrell 2007-03-06 21:04:54 UTC
I can't reproduce this with RHEL-5 GOLD on either real hardware or VMware.  DHCP
works fine when you pass the 'noipv6' argument at boot time.


Note You need to log in before you can comment on or make changes to this bug.